## rust-apt-swarm 0.5.0

=== Makefile ===
build: aarch64-unknown-linux-musl x86_64-unknown-linux-musl

%-unknown-linux-musl:
	repro-env build -- sh -c ' \
	RUSTFLAGS="-C strip=symbols" \
	cargo build --target $@ --release'

.PHONY: build *-unknown-linux-musl

## rust-apt-swarm 0.3.0

=== debian/changelog ===
rust-apt-swarm (0.3.0-1) unstable; urgency=medium

  * Package apt-swarm 0.3.0 from crates.io using debcargo 2.7.6

 -- kpcyrd <git@rxv.cc>  Tue, 28 Jan 2025 21:22:12 +0100

=== debian/control ===
Source: rust-apt-swarm
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.68-~~),
 librust-async-stream-0.3+default-dev,
 librust-async-trait-0.1+default-dev (>= 0.1.64-~~),
 librust-bstr-1+default-dev (>= 1.2.0-~~),
 librust-bstr-1+serde-dev (>= 1.2.0-~~),
 librust-bytes-1+default-dev (>= 1.4.0-~~),
 librust-clap-4+default-dev (>= 4.0.32-~~),
 librust-clap-4+derive-dev (>= 4.0.32-~~),
 librust-clap-4+env-dev (>= 4.0.32-~~),
 librust-clap-complete-4+default-dev (>= 4.0.7-~~),
 librust-colored-2+default-dev,
 librust-dirs-5+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-fastrand-2+default-dev,
 librust-futures-0.3+default-dev (>= 0.3.26-~~),
 librust-getrandom-0.2+default-dev,
 librust-hex-0.4+default-dev (>= 0.4.3-~~),
 librust-indexmap-2+default-dev,
 librust-ipnetwork-0.17+default-dev,
 librust-log-0.4+default-dev (>= 0.4.17-~~),
 librust-lru-0.12+default-dev,
 librust-lz4-flex-0.11+default-dev (>= 0.11.3-~~),
 librust-memchr-2+default-dev (>= 2.5.0-~~),
 librust-num-format-0.4+default-dev,
 librust-reqwest-0.12+rustls-tls-dev,
 librust-reqwest-0.12+socks-dev,
 librust-sequoia-openpgp-1+default-dev (>= 1.21-~~),
 librust-serde-1+default-dev (>= 1.0.152-~~),
 librust-serde-1+derive-dev (>= 1.0.152-~~),
 librust-serde-json-1+default-dev (>= 1.0.92-~~),
 librust-sha2-0.10+default-dev (>= 0.10.6-~~),
 librust-socket2-0.5+default-dev,
 librust-tokio-1+default-dev (>= 1.23.0-~~),
 librust-tokio-1+fs-dev (>= 1.23.0-~~),
 librust-tokio-1+io-std-dev (>= 1.23.0-~~),
 librust-tokio-1+io-util-dev (>= 1.23.0-~~),
 librust-tokio-1+macros-dev (>= 1.23.0-~~),
 librust-tokio-1+net-dev (>= 1.23.0-~~),
 librust-tokio-1+process-dev (>= 1.23.0-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.23.0-~~),
 librust-tokio-socks-0.5+default-dev (>= 0.5.1-~~),
 librust-toml-0.8+default-dev,
 help2man
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/apt-swarm]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/apt-swarm
Homepage: https://github.com/kpcyrd/apt-swarm
X-Cargo-Crate: apt-swarm
Rules-Requires-Root: no

Package: librust-apt-swarm-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.68-~~),
 librust-async-stream-0.3+default-dev,
 librust-async-trait-0.1+default-dev (>= 0.1.64-~~),
 librust-bstr-1+default-dev (>= 1.2.0-~~),
 librust-bstr-1+serde-dev (>= 1.2.0-~~),
 librust-bytes-1+default-dev (>= 1.4.0-~~),
 librust-clap-4+default-dev (>= 4.0.32-~~),
 librust-clap-4+derive-dev (>= 4.0.32-~~),
 librust-clap-4+env-dev (>= 4.0.32-~~),
 librust-clap-complete-4+default-dev (>= 4.0.7-~~),
 librust-colored-2+default-dev,
 librust-dirs-5+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-fastrand-2+default-dev,
 librust-futures-0.3+default-dev (>= 0.3.26-~~),
 librust-getrandom-0.2+default-dev,
 librust-hex-0.4+default-dev (>= 0.4.3-~~),
 librust-indexmap-2+default-dev,
 librust-ipnetwork-0.17+default-dev,
 librust-log-0.4+default-dev (>= 0.4.17-~~),
 librust-lru-0.12+default-dev,
 librust-lz4-flex-0.11+default-dev (>= 0.11.3-~~),
 librust-memchr-2+default-dev (>= 2.5.0-~~),
 librust-num-format-0.4+default-dev,
 librust-reqwest-0.12+rustls-tls-dev,
 librust-reqwest-0.12+socks-dev,
 librust-sequoia-openpgp-1+default-dev (>= 1.21-~~),
 librust-serde-1+default-dev (>= 1.0.152-~~),
 librust-serde-1+derive-dev (>= 1.0.152-~~),
 librust-serde-json-1+default-dev (>= 1.0.92-~~),
 librust-sha2-0.10+default-dev (>= 0.10.6-~~),
 librust-socket2-0.5+default-dev,
 librust-tokio-1+default-dev (>= 1.23.0-~~),
 librust-tokio-1+fs-dev (>= 1.23.0-~~),
 librust-tokio-1+io-std-dev (>= 1.23.0-~~),
 librust-tokio-1+io-util-dev (>= 1.23.0-~~),
 librust-tokio-1+macros-dev (>= 1.23.0-~~),
 librust-tokio-1+net-dev (>= 1.23.0-~~),
 librust-tokio-1+process-dev (>= 1.23.0-~~),
 librust-tokio-1+rt-multi-thread-dev (>= 1.23.0-~~),
 librust-tokio-socks-0.5+default-dev (>= 0.5.1-~~),
 librust-toml-0.8+default-dev
Provides:
 librust-apt-swarm+default-dev (= ${binary:Version}),
 librust-apt-swarm-0-dev (= ${binary:Version}),
 librust-apt-swarm-0+default-dev (= ${binary:Version}),
 librust-apt-swarm-0.3-dev (= ${binary:Version}),
 librust-apt-swarm-0.3+default-dev (= ${binary:Version}),
 librust-apt-swarm-0.3.0-dev (= ${binary:Version}),
 librust-apt-swarm-0.3.0+default-dev (= ${binary:Version})
Description: Experimental p2p gossip network for OpenPGP signature transparency
 Source code for Debianized Rust crate "apt-swarm"

Package: apt-swarm
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Experimental p2p gossip network for OpenPGP signature transparency
 Tracks and records observed signed Release files while exchanging data within
 an authority-less peer-to-peer transparency network. Observed documents are
 stored in a database optimized for fast prefix-based lookups and organized into
 an append-only tree for efficient synchronization over the network.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.3.0 --all-targets --all-features
Features: test-name=rust-apt-swarm:@
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.3.0 --all-targets
Features: test-name=librust-apt-swarm-dev:default
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.3.0 --all-targets --no-default-features
Features: test-name=librust-apt-swarm-dev:
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-apt-swarm 0.4.0

=== debian/changelog ===
rust-apt-swarm (0.4.0-1) unstable; urgency=medium

  * Package apt-swarm 0.4.0 from crates.io using debcargo 2.7.6

 -- kpcyrd <git@rxv.cc>  Sat, 15 Feb 2025 12:19:40 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,15 @@
  cargo:native,
  rustc:native,
  libstd-rust-dev,
+ librust-advisory-lock-0.3+default-dev,
  librust-anyhow-1+default-dev (>= 1.0.68-~~),
  librust-async-stream-0.3+default-dev,
  librust-async-trait-0.1+default-dev (>= 0.1.64-~~),
  librust-bstr-1+default-dev (>= 1.2.0-~~),
  librust-bstr-1+serde-dev (>= 1.2.0-~~),
  librust-bytes-1+default-dev (>= 1.4.0-~~),
+ librust-chrono-0.4+now-dev,
+ librust-chrono-0.4+serde-dev,
  librust-clap-4+default-dev (>= 4.0.32-~~),
  librust-clap-4+derive-dev (>= 4.0.32-~~),
  librust-clap-4+env-dev (>= 4.0.32-~~),
@@ -25,6 +28,7 @@
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-indexmap-2+default-dev,
  librust-ipnetwork-0.17+default-dev,
+ librust-irc-1+tls-rust-dev,
  librust-log-0.4+default-dev (>= 0.4.17-~~),
  librust-lru-0.12+default-dev,
  librust-lz4-flex-0.11+default-dev (>= 0.11.3-~~),
@@ -48,6 +52,7 @@
  librust-tokio-1+rt-multi-thread-dev (>= 1.23.0-~~),
  librust-tokio-socks-0.5+default-dev (>= 0.5.1-~~),
  librust-toml-0.8+default-dev,
+ librust-url-2+default-dev (>= 2.5-~~),
  help2man
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
@@ -64,12 +69,15 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
+ librust-advisory-lock-0.3+default-dev,
  librust-anyhow-1+default-dev (>= 1.0.68-~~),
  librust-async-stream-0.3+default-dev,
  librust-async-trait-0.1+default-dev (>= 0.1.64-~~),
  librust-bstr-1+default-dev (>= 1.2.0-~~),
  librust-bstr-1+serde-dev (>= 1.2.0-~~),
  librust-bytes-1+default-dev (>= 1.4.0-~~),
+ librust-chrono-0.4+now-dev,
+ librust-chrono-0.4+serde-dev,
  librust-clap-4+default-dev (>= 4.0.32-~~),
  librust-clap-4+derive-dev (>= 4.0.32-~~),
  librust-clap-4+env-dev (>= 4.0.32-~~),
@@ -83,6 +91,7 @@
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-indexmap-2+default-dev,
  librust-ipnetwork-0.17+default-dev,
+ librust-irc-1+tls-rust-dev,
  librust-log-0.4+default-dev (>= 0.4.17-~~),
  librust-lru-0.12+default-dev,
  librust-lz4-flex-0.11+default-dev (>= 0.11.3-~~),
@@ -105,15 +114,20 @@
  librust-tokio-1+process-dev (>= 1.23.0-~~),
  librust-tokio-1+rt-multi-thread-dev (>= 1.23.0-~~),
  librust-tokio-socks-0.5+default-dev (>= 0.5.1-~~),
- librust-toml-0.8+default-dev
+ librust-toml-0.8+default-dev,
+ librust-url-2+default-dev (>= 2.5-~~)
 Provides:
  librust-apt-swarm+default-dev (= ${binary:Version}),
+ librust-apt-swarm+irc-dev (= ${binary:Version}),
  librust-apt-swarm-0-dev (= ${binary:Version}),
  librust-apt-swarm-0+default-dev (= ${binary:Version}),
- librust-apt-swarm-0.3-dev (= ${binary:Version}),
- librust-apt-swarm-0.3+default-dev (= ${binary:Version}),
- librust-apt-swarm-0.3.0-dev (= ${binary:Version}),
- librust-apt-swarm-0.3.0+default-dev (= ${binary:Version})
+ librust-apt-swarm-0+irc-dev (= ${binary:Version}),
+ librust-apt-swarm-0.4-dev (= ${binary:Version}),
+ librust-apt-swarm-0.4+default-dev (= ${binary:Version}),
+ librust-apt-swarm-0.4+irc-dev (= ${binary:Version}),
+ librust-apt-swarm-0.4.0-dev (= ${binary:Version}),
+ librust-apt-swarm-0.4.0+default-dev (= ${binary:Version}),
+ librust-apt-swarm-0.4.0+irc-dev (= ${binary:Version})
 Description: Experimental p2p gossip network for OpenPGP signature transparency
  Source code for Debianized Rust crate "apt-swarm"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.4.0 --all-targets --all-features
Features: test-name=rust-apt-swarm:@
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.4.0 --all-targets
Features: test-name=librust-apt-swarm-dev:default
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.4.0 --all-targets --no-default-features --features irc
Features: test-name=librust-apt-swarm-dev:irc
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.4.0 --all-targets --no-default-features
Features: test-name=librust-apt-swarm-dev:
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-apt-swarm 0.5.0

=== debian/changelog ===
rust-apt-swarm (0.5.0-1) unstable; urgency=medium

  * Package apt-swarm 0.5.0 from crates.io using debcargo 2.7.7

 -- kpcyrd <git@rxv.cc>  Thu, 27 Feb 2025 02:00:53 +0100

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
  librust-num-format-0.4+default-dev,
  librust-reqwest-0.12+rustls-tls-dev,
  librust-reqwest-0.12+socks-dev,
+ librust-reqwest-0.12+stream-dev,
  librust-sequoia-openpgp-1+default-dev (>= 1.21-~~),
  librust-serde-1+default-dev (>= 1.0.152-~~),
  librust-serde-1+derive-dev (>= 1.0.152-~~),
@@ -99,6 +100,7 @@
  librust-num-format-0.4+default-dev,
  librust-reqwest-0.12+rustls-tls-dev,
  librust-reqwest-0.12+socks-dev,
+ librust-reqwest-0.12+stream-dev,
  librust-sequoia-openpgp-1+default-dev (>= 1.21-~~),
  librust-serde-1+default-dev (>= 1.0.152-~~),
  librust-serde-1+derive-dev (>= 1.0.152-~~),
@@ -122,12 +124,12 @@
  librust-apt-swarm-0-dev (= ${binary:Version}),
  librust-apt-swarm-0+default-dev (= ${binary:Version}),
  librust-apt-swarm-0+irc-dev (= ${binary:Version}),
- librust-apt-swarm-0.4-dev (= ${binary:Version}),
- librust-apt-swarm-0.4+default-dev (= ${binary:Version}),
- librust-apt-swarm-0.4+irc-dev (= ${binary:Version}),
- librust-apt-swarm-0.4.0-dev (= ${binary:Version}),
- librust-apt-swarm-0.4.0+default-dev (= ${binary:Version}),
- librust-apt-swarm-0.4.0+irc-dev (= ${binary:Version})
+ librust-apt-swarm-0.5-dev (= ${binary:Version}),
+ librust-apt-swarm-0.5+default-dev (= ${binary:Version}),
+ librust-apt-swarm-0.5+irc-dev (= ${binary:Version}),
+ librust-apt-swarm-0.5.0-dev (= ${binary:Version}),
+ librust-apt-swarm-0.5.0+default-dev (= ${binary:Version}),
+ librust-apt-swarm-0.5.0+irc-dev (= ${binary:Version})
 Description: Experimental p2p gossip network for OpenPGP signature transparency
  Source code for Debianized Rust crate "apt-swarm"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.5.0 --all-targets --all-features
Features: test-name=rust-apt-swarm:@
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.5.0 --all-targets
Features: test-name=librust-apt-swarm-dev:default
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.5.0 --all-targets --no-default-features --features irc
Features: test-name=librust-apt-swarm-dev:irc
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.5.0 --all-targets --no-default-features
Features: test-name=librust-apt-swarm-dev:
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

## rust-apt-swarm 0.5.1

=== debian/changelog ===
rust-apt-swarm (0.5.1-5) unstable; urgency=medium

  * Team upload.
  * Package apt-swarm 0.5.1 from crates.io using debcargo 2.7.8
  * Relax dependencies on colored, dirs, getrandom, ipnetwork and lru
  * Use serde feature explicitly rather than default features in ipnetwork
    to work around broken provides in forky's ipnetwork.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 09 Sep 2025 20:34:15 +0000

rust-apt-swarm (0.5.1-4) unstable; urgency=medium

  * Team upload.
  * Package apt-swarm 0.5.1 from crates.io using debcargo 2.7.8
  * Bump reqwest dependency to 0.12.15 to avoid building against broken packages
  * Bump irc dependency to 1.1 to avoid building against versions that use
    rustls 0.21.
 
 -- Peter Michael Green <plugwash@debian.org>  Sat, 09 Aug 2025 19:06:05 +0000

rust-apt-swarm (0.5.1-3) unstable; urgency=medium

  * Team upload.
  * Package apt-swarm 0.5.1 from crates.io using debcargo 2.7.8
  * Really explicitly enable ring in rustls dependency.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 04 Jul 2025 08:45:10 +0000

rust-apt-swarm (0.5.1-2) unstable; urgency=medium

  * Team upload.
  * Package apt-swarm 0.5.1 from crates.io using debcargo 2.7.8
  * Explicitly enable ring in rustls dependency.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 03 Jul 2025 22:38:51 +0000

rust-apt-swarm (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * Package apt-swarm 0.5.1 from crates.io using debcargo 2.7.8
  * Add patch to support sequoia-openpgp 2.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 03 Jul 2025 01:42:30 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
- cargo:native,
+ help2man
+Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-advisory-lock-0.3+default-dev,
@@ -19,25 +20,32 @@
  librust-clap-4+derive-dev (>= 4.0.32-~~),
  librust-clap-4+env-dev (>= 4.0.32-~~),
  librust-clap-complete-4+default-dev (>= 4.0.7-~~),
- librust-colored-2+default-dev,
- librust-dirs-5+default-dev,
+ librust-colored+default-dev (<< 4-~~),
+ librust-colored+default-dev (>= 2-~~),
+ librust-dirs+default-dev (<< 7-~~),
+ librust-dirs+default-dev (>= 5-~~),
  librust-env-logger-0.11+default-dev,
  librust-fastrand-2+default-dev,
  librust-futures-0.3+default-dev (>= 0.3.26-~~),
- librust-getrandom-0.2+default-dev,
+ librust-getrandom+default-dev (<< 0.4-~~),
+ librust-getrandom+default-dev (>= 0.2-~~),
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-indexmap-2+default-dev,
- librust-ipnetwork-0.17+default-dev,
- librust-irc-1+tls-rust-dev,
+ librust-ipnetwork+serde-dev (<< 0.22-~~),
+ librust-ipnetwork+serde-dev (>= 0.17-~~),
+ librust-irc-1+tls-rust-dev (>= 1.1-~~),
  librust-log-0.4+default-dev (>= 0.4.17-~~),
- librust-lru-0.12+default-dev,
+ librust-lru+default-dev (<< 0.14-~~),
+ librust-lru+default-dev (>= 0.12-~~),
  librust-lz4-flex-0.11+default-dev (>= 0.11.3-~~),
  librust-memchr-2+default-dev (>= 2.5.0-~~),
  librust-num-format-0.4+default-dev,
- librust-reqwest-0.12+rustls-tls-dev,
- librust-reqwest-0.12+socks-dev,
- librust-reqwest-0.12+stream-dev,
- librust-sequoia-openpgp-1+default-dev (>= 1.21-~~),
+ librust-reqwest-0.12+rustls-tls-dev (>= 0.12.15-~~),
+ librust-reqwest-0.12+socks-dev (>= 0.12.15-~~),
+ librust-reqwest-0.12+stream-dev (>= 0.12.15-~~),
+ librust-rustls-0.23+ring-dev,
+ librust-sequoia-openpgp+default-dev (<< 3-~~),
+ librust-sequoia-openpgp+default-dev (>= 1.21.1-~~),
  librust-serde-1+default-dev (>= 1.0.152-~~),
  librust-serde-1+derive-dev (>= 1.0.152-~~),
  librust-serde-json-1+default-dev (>= 1.0.92-~~),
@@ -53,8 +61,7 @@
  librust-tokio-1+rt-multi-thread-dev (>= 1.23.0-~~),
  librust-tokio-socks-0.5+default-dev (>= 0.5.1-~~),
  librust-toml-0.8+default-dev,
- librust-url-2+default-dev (>= 2.5-~~),
- help2man
+ librust-url-2+default-dev (>= 2.5-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  kpcyrd <git@rxv.cc>
@@ -83,25 +90,32 @@
  librust-clap-4+derive-dev (>= 4.0.32-~~),
  librust-clap-4+env-dev (>= 4.0.32-~~),
  librust-clap-complete-4+default-dev (>= 4.0.7-~~),
- librust-colored-2+default-dev,
- librust-dirs-5+default-dev,
+ librust-colored+default-dev (<< 4-~~),
+ librust-colored+default-dev (>= 2-~~),
+ librust-dirs+default-dev (<< 7-~~),
+ librust-dirs+default-dev (>= 5-~~),
  librust-env-logger-0.11+default-dev,
  librust-fastrand-2+default-dev,
  librust-futures-0.3+default-dev (>= 0.3.26-~~),
- librust-getrandom-0.2+default-dev,
+ librust-getrandom+default-dev (<< 0.4-~~),
+ librust-getrandom+default-dev (>= 0.2-~~),
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-indexmap-2+default-dev,
- librust-ipnetwork-0.17+default-dev,
- librust-irc-1+tls-rust-dev,
+ librust-ipnetwork+serde-dev (<< 0.22-~~),
+ librust-ipnetwork+serde-dev (>= 0.17-~~),
+ librust-irc-1+tls-rust-dev (>= 1.1-~~),
  librust-log-0.4+default-dev (>= 0.4.17-~~),
- librust-lru-0.12+default-dev,
+ librust-lru+default-dev (<< 0.14-~~),
+ librust-lru+default-dev (>= 0.12-~~),
  librust-lz4-flex-0.11+default-dev (>= 0.11.3-~~),
  librust-memchr-2+default-dev (>= 2.5.0-~~),
  librust-num-format-0.4+default-dev,
- librust-reqwest-0.12+rustls-tls-dev,
- librust-reqwest-0.12+socks-dev,
- librust-reqwest-0.12+stream-dev,
- librust-sequoia-openpgp-1+default-dev (>= 1.21-~~),
+ librust-reqwest-0.12+rustls-tls-dev (>= 0.12.15-~~),
+ librust-reqwest-0.12+socks-dev (>= 0.12.15-~~),
+ librust-reqwest-0.12+stream-dev (>= 0.12.15-~~),
+ librust-rustls-0.23+ring-dev,
+ librust-sequoia-openpgp+default-dev (<< 3-~~),
+ librust-sequoia-openpgp+default-dev (>= 1.21.1-~~),
  librust-serde-1+default-dev (>= 1.0.152-~~),
  librust-serde-1+derive-dev (>= 1.0.152-~~),
  librust-serde-json-1+default-dev (>= 1.0.92-~~),
@@ -127,15 +141,14 @@
  librust-apt-swarm-0.5-dev (= ${binary:Version}),
  librust-apt-swarm-0.5+default-dev (= ${binary:Version}),
  librust-apt-swarm-0.5+irc-dev (= ${binary:Version}),
- librust-apt-swarm-0.5.0-dev (= ${binary:Version}),
- librust-apt-swarm-0.5.0+default-dev (= ${binary:Version}),
- librust-apt-swarm-0.5.0+irc-dev (= ${binary:Version})
+ librust-apt-swarm-0.5.1-dev (= ${binary:Version}),
+ librust-apt-swarm-0.5.1+default-dev (= ${binary:Version}),
+ librust-apt-swarm-0.5.1+irc-dev (= ${binary:Version})
 Description: Experimental p2p gossip network for OpenPGP signature transparency
  Source code for Debianized Rust crate "apt-swarm"
 
 Package: apt-swarm
 Architecture: any
-Multi-Arch: allowed
 Section: utils
 Depends:
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo

execute_before_dh_install:
	debian/apt-swarm/usr/bin/apt-swarm plumbing completions bash > debian/apt-swarm.bash
	debian/apt-swarm/usr/bin/apt-swarm plumbing completions fish > debian/apt-swarm.fish
	debian/apt-swarm/usr/bin/apt-swarm plumbing completions zsh > debian/_apt-swarm

execute_before_dh_installman:
	help2man \
		--name apt-swarm \
		--no-info \
		debian/apt-swarm/usr/bin/apt-swarm > debian/apt-swarm.1

override_dh_dwz:
	# Don't do anything. fails because of the
	# https://github.com/rust-lang/rust/issues/66118

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.5.1 --all-targets --all-features
Features: test-name=rust-apt-swarm:@
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.5.1 --all-targets
Features: test-name=librust-apt-swarm-dev:default
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.5.1 --all-targets --no-default-features --features irc
Features: test-name=librust-apt-swarm-dev:irc
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test apt-swarm 0.5.1 --all-targets --no-default-features
Features: test-name=librust-apt-swarm-dev:
Depends: dh-cargo (>= 31), rustc, librust-tempfile-3+default-dev (>= 3.4.0-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/apt-swarm-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/apt-swarm .*/crates/apt-swarm/@ANY_VERSION@/download
